Bug 1007729 - Unify user roles between business-central & dashbuilder
Unify user roles between business-central & dashbuilder
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: BAM (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium
: ER4
: 6.0.0
Assigned To: David Gutierrez
Jan Hrcek
:
Depends On: 1002522 1005981 1016920
Blocks: bpms6_ux/brms6_ux
  Show dependency treegraph
 
Reported: 2013-09-13 04:47 EDT by Jan Hrcek
Modified: 2014-08-06 16:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:12:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hrcek 2013-09-13 04:47:55 EDT
Description of problem:

Please make sure, that dashbuilder and business-central use the same set of roles.

Current state:

business-central uses: kie-user, ADMIN (this will likely change in the future - see BZ 1002522)

dashbuilder uses: kie-user, admin. There is also special "can-do-everything" settings hardwired in dashbuilder for user with username 'root'.


Version-Release number of selected component (if applicable):
BPMS 6.0.0.ER3
Comment 1 Lukáš Petrovický 2013-09-13 04:51:44 EDT
This BZ should also take into account bug 1005981.
Comment 2 David Gutierrez 2013-09-23 10:45:14 EDT
Fixed.

'kie-user' renamed to 'analyst' and 'admin' remains untouched.

Github commit (master): https://github.com/droolsjbpm/jbpm-dashboard/commit/7a9b5fc24fb3658f30018800aaa8ba57ba2462ab

Github commit (6.0.x): https://github.com/droolsjbpm/jbpm-dashboard/commit/146dfce3a6c034c50df45df867467fbaf842cf8c
Comment 6 Jan Hrcek 2013-10-16 07:10:29 EDT
The 2 roles that currently exist for dashbuilder were synced with 2roles that currenlty exist in business-central - now both apps have roles: admin and analyst

Verified with BPMS 6.0.0 ER4

Note You need to log in before you can comment on or make changes to this bug.